<?php
/**
 * Clase GastoOperativoBL
 *
 * @package    
 * @subpackage 
 * @author     GastoOperativoBL
 * @version    SVN: $Id: GastoOperativoBL.class.php,v 1.1 2008/02/08 21:56:44 william.taype Exp $ 
 */
class GastoOperativoBL{
    
  /**
  * 
  *
  * @param $o_GastoOperativoBean, objeto de tipo GastoOperativo 
  * @return Boolean
  */
  public function busquedaGastoOperativo(GastoOperativoBean $o_GastoOperativoBean){
    
    $o_GastoOperativoDP = new GastoOperativoDP($o_GastoOperativoBean);
    if($o_GastoOperativoBean->getIdGastoOperativo()){
      return $o_GastoOperativoDP->selectByPk();
    }else{
      return $o_GastoOperativoDP->select();
    }
    
  }
  
  public function busquedaGastoOperativoResulset(GastoOperativoBean $o_GastoOperativoBean){
    
    $o_GastoOperativoDP = new GastoOperativoDP($o_GastoOperativoBean);
    return $o_GastoOperativoDP->selectResultset();
        
  }
  
  public function insertarGastoOperativo(GastoOperativoBean $o_GastoOperativoBean){
    
    $o_GastoOperativoCT = new GastoOperativoCT();
    return $o_GastoOperativoCT->guardar($o_GastoOperativoBean);
    
  }
  public function modificarGastoOperativo(GastoOperativoBean $o_GastoOperativoBean){
      $o_GastoOperativoCT = new GastoOperativoCT();
      return $o_GastoOperativoCT->modificar($o_GastoOperativoBean);
  }
  /**
	* Funci�n que retorna un objeto GastoOperativo o una lista de Objetos de GastoOperativo,
	* dependiendo del parametro que se le envia si este contiene o no el Id de GastoOperativo
	*
	* @param $o_GastoOperativoBean, es un objeto de tipo GastoOperativo
	* @return Object
	*/
	public function modificarEstadoGastoOperativo(GastoOperativoBean $o_GastoOperativoBean){
	  
	}
  
  public function eliminarGastoOperativo(GastoOperativoBean $o_GastoOperativoBean){
    $o_GastoOperativoCT = new GastoOperativoCT();
    return $o_GastoOperativoCT->eliminar($o_GastoOperativoBean);
    
  }
  
  public function getCountResult(GastoOperativoBean $o_GastoOperativoBean){
    $o_GastoOperativoCT = new GastoOperativoCT();
    return $o_GastoOperativoCT->totalRegistros($o_GastoOperativoBean);
  }
   
  public function getTotalMonto(GastoOperativoBean $o_GastoOperativoBean){
    $o_GastoOperativoCT = new GastoOperativoCT();
    return $o_GastoOperativoCT->totalMonto($o_GastoOperativoBean);
  }
  
}

